GitHub Integrations

Create Github Integration

Create GitHub integration

post
/v1/integration/github/create

Authorization

ChatBotKit API Secret * Required

HTTP Authorization Scheme: bearer

Request Body * Required

Request Body Schema: application/json

aliasstring

The unique alias for the instance

namestring

The associated name

descriptionstring

The associated description

metaobject

Meta data information

blueprintIdstring

The ID of the blueprint

botIdstring

The ID of the bot this configuration is using

appIdstring

This integration's GitHub App id (signs the App JWT)

privateKeystring

This integration's GitHub App private key (PEM)

webhookSecretstring

The GitHub App webhook secret used to validate x-hub-signature-256

contactCollectionboolean

Whether to collect contacts

sessionDurationnumber

The session duration for the GitHub integration

import { ChatBotKit } from '@chatbotkit/sdk'

const cbk = new ChatBotKit({

secret: process.env.CHATBOTKIT_API_KEY!

})

const response = await cbk.integration.github.create(

{
"alias":"string",
"name":"string",
"description":"string",
"meta":"object",
"blueprintId":"string",
"botId":"string",
"appId":"string",
"privateKey":"string",
"webhookSecret":"string",
"contactCollection":"boolean",
"sessionDuration":"number"
}
)
{
"id":"string"
}
The GitHub integration was created successfully